ObertObert
CampaignsGeneral

Generate Template

Generate an AI-drafted message template for campaign step configuration.

POST
/api/campaigns/generate-template
AuthorizationBearer <token>

In: header

Header Parameters

x-tenant-id?string|null
step_typestring
Value in"send_message" | "send_invite" | "send_inmail"
is_first_touch?boolean
Defaulttrue
mode?string
Default"template"
Value in"template" | "ai_instructions"
available_placeholders?|null
direction?string|null
previous_message?string|null
feedback?string|null

Response Body

application/json

application/json

curl -X POST "https://api.obert.io/api/campaigns/generate-template" \  -H "Content-Type: application/json" \  -d '{    "step_type": "send_message"  }'
{
  "message_text": "string",
  "fallback_message": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}